scala.reflect.api.Internals.InternalApi.DecoratorApi

# TreeDecoratorApi

#### class TreeDecoratorApi[T <: Universe.Tree] extends AnyRef

Source
  Internals.scala
See also

  TreeDecorator

Linear Supertypes
AnyRef, Any
Known Subclasses
MacroTreeDecoratorApi
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeDecoratorApi
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeDecoratorApi(tree: T)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeDecoratorApi[T] to any2stringadd[TreeDecoratorApi[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TreeDecoratorApi[T], B)

   Implicit information
     This member is added by an implicit conversion from TreeDecoratorApi[T] to ArrowAssoc[TreeDecoratorApi[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (TreeDecoratorApi[T]) ⇒ Boolean, msg: ⇒ Any): TreeDecoratorApi[T]

   Implicit information
     This member is added by an implicit conversion from TreeDecoratorApi[T] to Ensuring[TreeDecoratorApi[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (TreeDecoratorApi[T]) ⇒ Boolean): TreeDecoratorApi[T]

   Implicit information
     This member is added by an implicit conversion from TreeDecoratorApi[T] to Ensuring[TreeDecoratorApi[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from TreeDecoratorApi[T] to Ensuring[TreeDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): TreeDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from TreeDecoratorApi[T] to Ensuring[TreeDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TreeDecoratorApi[T] to StringFormat[TreeDecoratorApi[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### def freeTerms: List[Universe.FreeTermSymbol]

    See also

      internal.freeTerms

17. #### def freeTypes: List[Universe.FreeTypeSymbol]

    See also

      internal.freeTypes

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def substituteSymbols(from: List[Universe.Symbol], to: List[Universe.Symbol]): Universe.Tree

    See also

      internal.substituteSymbols

25. #### def substituteThis(clazz: Universe.Symbol, to: Universe.Tree): Universe.Tree

    See also

      internal.substituteThis

26. #### def substituteTypes(from: List[Universe.Symbol], to: List[Universe.Type]): Universe.Tree

    See also

      internal.substituteTypes

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### val tree: T

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (TreeDecoratorApi[T], B)

    Implicit information
      This member is added by an implicit conversion from TreeDecoratorApi[T] to ArrowAssoc[TreeDecoratorApi[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TreeDecoratorApi[T] to any2stringadd[TreeDecoratorApi[T]]

### Inherited by implicit conversion StringFormat from TreeDecoratorApi[T] to StringFormat[TreeDecoratorApi[T]]

### Inherited by implicit conversion Ensuring from TreeDecoratorApi[T] to Ensuring[TreeDecoratorApi[T]]

### Inherited by implicit conversion ArrowAssoc from TreeDecoratorApi[T] to ArrowAssoc[TreeDecoratorApi[T]]

### Ungrouped